GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::PresentationContextAC Class Reference

PresentationContextAC Table 9-18 PRESENTATION CONTEXT ITEM FIELDS. More...

`#include <gdcmPresentationContextAC.h>`

## Public Member Functions

| PresentationContextAC ()
uint8_t | GetPresentationContextID () const
TransferSyntaxSub const & | GetTransferSyntax () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetPresentationContextID (uint8_t id)
void | SetTransferSyntax (TransferSyntaxSub const &ts)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

PresentationContextAC Table 9-18 PRESENTATION CONTEXT ITEM FIELDS.

See Also
  PresentationContext

## Constructor & Destructor Documentation

gdcm::network::PresentationContextAC::PresentationContextAC | ( |  | ) |

## Member Function Documentation

uint8_t gdcm::network::PresentationContextAC::GetPresentationContextID | ( |  | ) | const

inline

TransferSyntaxSub const& gdcm::network::PresentationContextAC::GetTransferSyntax | ( |  | ) | const

inline

void gdcm::network::PresentationContextAC::Print | ( | std::ostream & | os | ) | const

std::istream& gdcm::network::PresentationContextAC::Read | ( | std::istream & | is | ) |

void gdcm::network::PresentationContextAC::SetPresentationContextID | ( | uint8_t | id | ) |

void gdcm::network::PresentationContextAC::SetTransferSyntax | ( | TransferSyntaxSub const & | ts | ) |

size_t gdcm::network::PresentationContextAC::Size | ( |  | ) | const

const std::ostream& gdcm::network::PresentationContextAC::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmPresentationContextAC.h